Devuan bug report logs - #164
gnutls: gnutls_handshake() failed: Public key signature verification has failed.

Package: libcurl3-gnutls; Maintainer for libcurl3-gnutls is (unknown);

Reported by: david <david@unixrox.net>

Date: Tue, 28 Nov 2017 11:33:01 UTC

Severity: normal

Tags: ascii

Done: KatolaZ <katolaz@freaknet.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#164; Package libcurl3-gnutls. (full text, mbox, link).


Acknowledgement sent to david <david@unixrox.net>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org.

Your message specified a Severity: in the pseudo-header, but the severity value important was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, normal, minor, wishlist.

(full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: david <david@unixrox.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: gnutls: gnutls_handshake() failed: Public key signature verification has failed.
Date: Tue, 28 Nov 2017 12:21:07 +0100
Package: libcurl3-gnutls
Version: 7.52.1-5
Severity: important
File: gnutls

Dear Maintainer,

the command:
	git clone https://github.com/devuan/jenkins-debian-glue

leads to this error:
	fatal: unable to access 'https://github.com/devuan/jenkins-debian-glue/': gnutls_handshake() failed: Publ
   
-- System Information:
LSB Version:	core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:p
 rinting-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 2.0 (ascii)
Release:	2.0
Codename:	ascii

Architecture: x86_64

Kernel: Linux 4.9.0-0.bpo.3-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash
Init: sysvinit (via /sbin/init)

Versions of packages libcurl3-gnutls:amd64 depends on:
ii  libc6             2.24-11+deb9u1
ii  libcomerr2        1.43.4-2
ii  libgnutls30       3.5.8-5+deb9u3
ii  libgssapi-krb5-2  1.15-1+deb9u1
ii  libidn2-0         0.16-1+deb9u1
ii  libk5crypto3      1.15-1+deb9u1
ii  libkrb5-3         1.15-1+deb9u1
ii  libldap-2.4-2     2.4.45+dfsg-1~bpo9+1
ii  libnettle6        3.3-1+b2
ii  libnghttp2-14     1.18.1-1
ii  libpsl5           0.17.0-3
ii  librtmp1          2:2.4~20150315.gita107cef9b-dmo1+deb8u2
ii  libssh2-1         1.7.0-1
ii  zlib1g            1:1.2.8.dfsg-5

Versions of packages libcurl3-gnutls:amd64 recommends:
ii  ca-certificates  20161130+nmu1

libcurl3-gnutls:amd64 suggests no packages.

-- no debconf information


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#164; Package libcurl3-gnutls. (full text, mbox, link).


Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #10 received at 164@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 164@bugs.devuan.org
Subject: Irreproducible
Date: Tue, 28 Nov 2017 11:44:16 +0000
[Message part 1 (text/plain, inline)]
Hi,

there is no way I can reproduce this bug. I have tried the same clone
from 4 different machines, running either Devuan Jessie or Devuan
Ascii, and the clone is always successful. The certificate is all
right and not due to expire atm.

Could you please provide more details on your setup?

Cheers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#164; Package libcurl3-gnutls. (full text, mbox, link).


Acknowledgement sent to David Gauchard <gauchard@laas.fr>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #15 received at 164@bugs.devuan.org (full text, mbox, reply):

From: David Gauchard <gauchard@laas.fr>
To: 164@bugs.devuan.org
Subject: Re: Irreproducible
Date: Tue, 28 Nov 2017 16:05:22 +0100
Thanks.

My setup has been a continuously upgraded debian system for more than 15
years when I recently upgraded to devuan/stable=jessie, and very recently to
devuan/ascii.  I'm using aptitude, and I it says it is up to date.

When I switched jessie to ascii from I had lots of conflicts that I did not
try to resolve at that time.  Then they recently solved by themselve with
apt and no tweaking. Then I realized that git+https problem.

The not truncated message is:
	$ git clone https://github.com/devuan/jenkins-debian-glue
	Cloning into 'jenkins-debian-glue'...
	fatal: unable to access 'https://github.com/devuan/jenkins-debian-glue/': gnutls_handshake() failed: Public key signature verification has failed.

It happens with every accounts, so it is not a git misconfiguration. 

I realize that git is otherwise working with protocol ssh://git@
I have no problem with:
	git clone git@github.com:devuan/jenkins-debian-glue.git

I just moved /etc/ssl/certs to /etc/ssl/certs.old and reinstalled
ca-certificates, but the problem remains.

I tried with lynx (accepting all cookies) with no problem:
	lynx https://github.com/devuan/jenkins-debian-glue/

It is not clear to me where to search for the origin of my problem,
considering that you say it is flawlessly working on other ascii
installations.

My /etc/apt/sources.list is:
-------------------------------------------------------------
deb     http://auto.mirror.devuan.org/merged ascii main
deb-src http://auto.mirror.devuan.org/merged ascii main
deb     http://auto.mirror.devuan.org/merged ascii-updates main
deb-src http://auto.mirror.devuan.org/merged ascii-updates main
deb     http://auto.mirror.devuan.org/merged ascii-security main
deb-src http://auto.mirror.devuan.org/merged ascii-security main

deb     http://packages.devuan.org/merged ascii-security main
deb-src http://packages.devuan.org/merged ascii-security main

#deb     http://auto.mirror.devuan.org/merged ascii-proposed main
#deb-src http://auto.mirror.devuan.org/merged ascii-proposed main

deb     http://auto.mirror.devuan.org/merged ascii-backports main
deb-src http://auto.mirror.devuan.org/merged ascii-backports main

#deb     http://auto.mirror.devuan.org/devuan experimental main
#deb-src http://auto.mirror.devuan.org/devuan experimental main
-------------------------------------------------------------
I also have in sources.list.d/:

-------------------------------------------------------------
deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/Debian_7.0/ /
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
-------------------------------------------------------------


and also: Thanks again for devuan :)


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#164; Package libcurl3-gnutls. (full text, mbox, link).


Acknowledgement sent to david@unixrox.net (david):
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #20 received at 164@bugs.devuan.org (full text, mbox, reply):

From: david@unixrox.net (david)
To: 164@bugs.devuan.org
Subject: Re: Irreproducible
Date: Tue, 28 Nov 2017 16:16:37 +0100 (CET)
Thanks.

My setup has been a continuously upgraded debian system for more than 15
years when I recently upgraded to devuan/stable=jessie, and very recently to
devuan/ascii.  I'm using aptitude, and I it says it is up to date.

When I switched jessie to ascii from I had lots of conflicts that I did not
try to resolve at that time.  Then they recently solved by themselve with
apt and no tweaking. Then I realized that git+https problem.

The not truncated message is:
        $ git clone https://github.com/devuan/jenkins-debian-glue
        Cloning into 'jenkins-debian-glue'...
        fatal: unable to access 'https://github.com/devuan/jenkins-debian-glue/': gnutls_handshake() failed: Public key signature verification has failed.

It happens with every accounts, so it is not a git misconfiguration.

I realize that git is otherwise working with protocol ssh://git@
I have no problem with:
        git clone git@github.com:devuan/jenkins-debian-glue.git

I just moved /etc/ssl/certs to /etc/ssl/certs.old and reinstalled
ca-certificates, but the problem remains.

I tried with lynx (accepting all cookies) with no problem:
        lynx https://github.com/devuan/jenkins-debian-glue/

It is not clear to me where to search for the origin of my problem,
considering that you say it is flawlessly working on other ascii
installations.

My /etc/apt/sources.list is:
-------------------------------------------------------------
deb     http://auto.mirror.devuan.org/merged ascii main
deb-src http://auto.mirror.devuan.org/merged ascii main
deb     http://auto.mirror.devuan.org/merged ascii-updates main
deb-src http://auto.mirror.devuan.org/merged ascii-updates main
deb     http://auto.mirror.devuan.org/merged ascii-security main
deb-src http://auto.mirror.devuan.org/merged ascii-security main

deb     http://packages.devuan.org/merged ascii-security main
deb-src http://packages.devuan.org/merged ascii-security main

#deb     http://auto.mirror.devuan.org/merged ascii-proposed main
#deb-src http://auto.mirror.devuan.org/merged ascii-proposed main

deb     http://auto.mirror.devuan.org/merged ascii-backports main
deb-src http://auto.mirror.devuan.org/merged ascii-backports main

#deb     http://auto.mirror.devuan.org/devuan experimental main
#deb-src http://auto.mirror.devuan.org/devuan experimental main
-------------------------------------------------------------
I also have in sources.list.d/:

-------------------------------------------------------------
deb http://download.opensuse.org/repositories/isv:/ownCloud:/community/Debian_7.0/ /
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
-------------------------------------------------------------


and also: Thanks again for devuan :)



Tags added: ascii Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#164; Package libcurl3-gnutls. (full text, mbox, link).


Acknowledgement sent to David Gauchard <gauchard@laas.fr>:
Extra info received and forwarded to list. Copy sent to owner@bugs.devuan.org. (full text, mbox, link).


Message #27 received at 164@bugs.devuan.org (full text, mbox, reply):

From: David Gauchard <gauchard@laas.fr>
To: 164@bugs.devuan.org
Subject: gnutls: gnutls_handshake() failed: Public key signature verification has failed.
Date: Mon, 12 Mar 2018 02:23:15 +0100
Solved:

An older (already installed before transition do devuan) version of librtmp1
(2015-03-15) was incorrectly considered as newer.

Forcing the installation of the latest version (2015-12-23) made the other
one disappear and things working.

# apt-cache policy librtmp1
librtmp1:
  Installed: 2:2.4~20150315.gita107cef9b-dmo1+deb8u2
  Candidate: 2:2.4~20150315.gita107cef9b-dmo1+deb8u2
  Version table:
 *** 2:2.4~20150315.gita107cef9b-dmo1+deb8u2 100
        100 /var/lib/dpkg/status
     2.4+20151223.gitfa8646d.1-1+b1 100
        100 http://auto.mirror.devuan.org/merged ascii/main amd64 Packages

I hope this version comparison bug has no further impact on transition for
other users.


Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to david <david@unixrox.net>:
bug acknowledged by developer. (full text, mbox, link).


Message #32 received at 164-done@bugs.devuan.org (full text, mbox, reply):

From: KatolaZ <katolaz@freaknet.org>
To: 164-done@bugs.devuan.org
Subject: closing
Date: Mon, 12 Mar 2018 10:46:09 +0000
[Message part 1 (text/plain, inline)]
OK, I am closing it then.
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Sep 25 13:50:07 2020;